<?xml version="1.0" encoding="UTF-8"?>
<databaseChangeLog
    xmlns="http://www.liquibase.org/xml/ns/dbchangelog/1.9"
    xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
    xsi:schemaLocation="http://www.liquibase.org/xml/ns/dbchangelog/1.9
                      http://www.liquibase.org/xml/ns/dbchangelog/dbchangelog-1.9.xsd">
					  

	
	<changeSet id="0001" author="saliakhov">
        <comment>drop constraint</comment>
		<sql>
			ALTER TABLE metrics.recruitment 
			DROP CONSTRAINT IF EXISTS recruitment_idm_id_key;

			ALTER TABLE metrics.convert_info_common_results
			DROP CONSTRAINT IF EXISTS fk_conv_info_records_from_easu_recruitment_id;

			ALTER TABLE metrics.convert_info_loaded_records
			DROP CONSTRAINT IF EXISTS fk_conv_info_records_from_easu_recruitment_id;

			ALTER TABLE metrics.convert_info_records_from_easu
			DROP CONSTRAINT IF EXISTS fk_conv_info_records_from_easu_recruitment_id;

			ALTER TABLE metrics.convert_info_sent_to_lk_epgu
			DROP CONSTRAINT IF EXISTS fk_conv_info_records_from_easu_recruitment_id;

			ALTER TABLE metrics.convert_info_comparison_csv_xml
			DROP CONSTRAINT IF EXISTS fk_conv_info_records_from_easu_recruitment_id;

			ALTER TABLE metrics.criminal_administrative_liability
			DROP CONSTRAINT IF EXISTS fk_criminal_administrative_liability_recruitment_id;

			ALTER TABLE summonses_list.formed_summonses
			DROP CONSTRAINT IF EXISTS fk_criminal_administrative_liability_recruitment_id;

			ALTER TABLE summonses_list.imposition_tmp_measures
			DROP CONSTRAINT IF EXISTS fk_criminal_administrative_liability_recruitment_id;

			ALTER TABLE summonses_list.recruit_office_visit
			DROP CONSTRAINT IF EXISTS fk_criminal_administrative_liability_recruitment_id;

			ALTER TABLE init_registration_info.incoming_creating_records
			DROP CONSTRAINT IF EXISTS fk_conv_info_records_from_easu_recruitment_id;

			ALTER TABLE actualization.info_sent_to_lk_epgu
			DROP CONSTRAINT IF EXISTS fk_conv_info_records_from_easu_recruitment_id;

			ALTER TABLE actualization.incidents_info
			DROP CONSTRAINT IF EXISTS fk_conv_info_records_from_easu_recruitment_id;

			ALTER TABLE actualization.incidents_epgu_info
			DROP CONSTRAINT IF EXISTS fk_conv_info_records_from_easu_recruitment_id;

			ALTER TABLE actualization.applications_received_from_epgu
			DROP CONSTRAINT IF EXISTS fk_conv_info_records_from_easu_recruitment_id;

			ALTER TABLE actualization.change_data_personal_visit
			DROP CONSTRAINT IF EXISTS fk_conv_info_records_from_easu_recruitment_id;

			ALTER TABLE actualization.change_data_from_gir_vu
			DROP CONSTRAINT IF EXISTS fk_criminal_administrative_liability_recruitment_id;

			ALTER TABLE actualization.app_reason
			DROP CONSTRAINT IF EXISTS fk_criminal_administrative_liability_recruitment_id;

			ALTER TABLE actualization.records_about_citizen
			DROP CONSTRAINT IF EXISTS fk_criminal_administrative_liability_recruitment_id;

			ALTER TABLE actualization.change_data_from_gir_vu_citizen
			DROP CONSTRAINT IF EXISTS fk_criminal_administrative_liability_recruitment_id;

			ALTER TABLE admin_indicators.active_service_time
			DROP CONSTRAINT IF EXISTS fk_conv_info_records_from_easu_recruitment_id;

			ALTER TABLE admin_indicators.user_activity_dynamics
			DROP CONSTRAINT IF EXISTS fk_conv_info_records_from_easu_recruitment_id;

			ALTER TABLE deregistration.info_sent_to_lk_epgu
			DROP CONSTRAINT IF EXISTS fk_conv_info_records_from_easu_recruitment_id;

			ALTER TABLE deregistration.applications_sent_from_epgu
			DROP CONSTRAINT IF EXISTS fk_conv_info_records_from_easu_recruitment_id;

			ALTER TABLE deregistration.incidents_info
			DROP CONSTRAINT IF EXISTS fk_conv_info_records_from_easu_recruitment_id;

			ALTER TABLE deregistration.applications_received_from_epgu
			DROP CONSTRAINT IF EXISTS fk_conv_info_records_from_easu_recruitment_id;

			ALTER TABLE deregistration.data_from_gir_vu
			DROP CONSTRAINT IF EXISTS fk_criminal_administrative_liability_recruitment_id;

			ALTER TABLE deregistration.solutions
			DROP CONSTRAINT IF EXISTS fk_criminal_administrative_liability_recruitment_id;

			ALTER TABLE deregistration.active_applications
			DROP CONSTRAINT IF EXISTS fk_criminal_administrative_liability_recruitment_id;

			ALTER TABLE deregistration.removal_registration
			DROP CONSTRAINT IF EXISTS fk_removal_registration_recruitment_id;

			ALTER TABLE init_registration_info.citizens_next_year_age
			DROP CONSTRAINT IF EXISTS fk_conv_info_records_from_easu_recruitment_id;

			ALTER TABLE init_registration_info.records_info_id_uk_id_ern
			DROP CONSTRAINT IF EXISTS fk_conv_info_records_from_easu_recruitment_id;

			ALTER TABLE init_registration_info.info_sent_to_lk_epgu
			DROP CONSTRAINT IF EXISTS fk_conv_info_records_from_easu_recruitment_id;

			ALTER TABLE init_registration_info.decision_formation_status
			DROP CONSTRAINT IF EXISTS fk_conv_info_records_from_easu_recruitment_id;

			ALTER TABLE init_registration_info.incidents_info
			DROP CONSTRAINT IF EXISTS fk_conv_info_records_from_easu_recruitment_id;

			ALTER TABLE init_registration_info.init_registration_from_gir_vu
			DROP CONSTRAINT IF EXISTS fk_conv_info_records_from_easu_recruitment_id;

			ALTER TABLE init_registration_info.applications_received_from_epgu
			DROP CONSTRAINT IF EXISTS fk_conv_info_records_from_easu_recruitment_id;

			ALTER TABLE init_registration_info.statuses_decisions_on_epgu
			DROP CONSTRAINT IF EXISTS fk_conv_info_records_from_easu_recruitment_id;

			ALTER TABLE journal_log.epgu_notice_sent
			DROP CONSTRAINT IF EXISTS fk_conv_info_0records_from_easu_recruitment_id;

			ALTER TABLE journal_log.message_journal
			DROP CONSTRAINT IF EXISTS fk_conv_info_records_from_easu_recruitment_id;

			ALTER TABLE journal_log.external_system_transaction
			DROP CONSTRAINT IF EXISTS fk_conv_info_records_from_easu_recruitment_id;

			ALTER TABLE journal_log.dictionary_update
			DROP CONSTRAINT IF EXISTS fk_conv_info_records_from_easu_recruitment_id;

			ALTER TABLE journal_log.summonses_list_data_exchange
			DROP CONSTRAINT IF EXISTS fk_conv_info_records_from_easu_recruitment_id;

			ALTER TABLE journal_log.summonses_list_data_exchange_error
			DROP CONSTRAINT IF EXISTS fk_conv_info_records_from_easu_recruitment_id;

			ALTER TABLE journal_log.epgu_notice_sent_error
			DROP CONSTRAINT IF EXISTS fk_conv_info_records_from_easu_recruitment_id;

			ALTER TABLE journal_log.load_record_jour
			DROP CONSTRAINT IF EXISTS fk_conv_info_records_from_easu_recruitment_id;

			ALTER TABLE journal_log.processing_time_files_and_records
			DROP CONSTRAINT IF EXISTS fk_conv_info_records_from_easu_recruitment_id;

			ALTER TABLE journal_log.processed_records
			DROP CONSTRAINT IF EXISTS fk_conv_info_records_from_easu_recruitment_id;

			ALTER TABLE journal_log.load_files_jour
			DROP CONSTRAINT IF EXISTS fk_conv_info_records_from_easu_recruitment_id;

			ALTER TABLE journal_log.load_files_speed_jour
			DROP CONSTRAINT IF EXISTS fk_conv_info_records_from_easu_recruitment_id;

			ALTER TABLE journal_log.user_operation
			DROP CONSTRAINT IF EXISTS fk_conv_info_records_from_easu_recruitment_id;

			ALTER TABLE journal_log.sign_journal
			DROP CONSTRAINT IF EXISTS fk_conv_info_records_from_easu_recruitment_id;

			ALTER TABLE journal_log.user_info
			DROP CONSTRAINT IF EXISTS fk_recruitment_id;

			ALTER TABLE journal_log.user_work_time
			DROP CONSTRAINT IF EXISTS fk_recruitment_id;

			ALTER TABLE metrics.convert_info_records_from_easu
			DROP CONSTRAINT IF EXISTS fk_conv_info_records_from_easu_recruitment_id;

			ALTER TABLE metrics.convert_info_not_identifited_records
			DROP CONSTRAINT IF EXISTS fk_conv_info_records_from_easu_recruitment_id;

			ALTER TABLE metrics.convert_info_loaded_records
			DROP CONSTRAINT IF EXISTS fk_conv_info_records_from_easu_recruitment_id;

			ALTER TABLE metrics.convert_info_common_results
			DROP CONSTRAINT IF EXISTS fk_conv_info_records_from_easu_recruitment_id;

			ALTER TABLE metrics.convert_info_sent_to_lk_epgu
			DROP CONSTRAINT IF EXISTS fk_conv_info_records_from_easu_recruitment_id;

			ALTER TABLE metrics.convert_info_comparison_csv_xml
			DROP CONSTRAINT IF EXISTS fk_conv_info_records_from_easu_recruitment_id;

			ALTER TABLE metrics.users
			DROP CONSTRAINT IF EXISTS fk_conv_info_records_from_easu_recruitment_id;

			ALTER TABLE metrics.criminal_administrative_liability
			DROP CONSTRAINT IF EXISTS fk_criminal_administrative_liability_recruitment_id;

			ALTER TABLE metrics.incidents_change_data_from_gir_vu
			DROP CONSTRAINT IF EXISTS fk_criminal_administrative_liability_recruitment_id;

			ALTER TABLE metrics.incidents_recieved_by_data_from_gir_vu
			DROP CONSTRAINT IF EXISTS fk_criminal_administrative_liability_recruitment_id;

			ALTER TABLE metrics.incidents_closed
			DROP CONSTRAINT IF EXISTS fk_criminal_administrative_liability_recruitment_id;

			ALTER TABLE metrics.citizen_appeals
			DROP CONSTRAINT IF EXISTS fk_criminal_administrative_liability_recruitment_id;

			ALTER TABLE metrics.fz_53_appeals
			DROP CONSTRAINT IF EXISTS fk_criminal_administrative_liability_recruitment_id;

			ALTER TABLE metrics.active_applications
			DROP CONSTRAINT IF EXISTS fk_criminal_administrative_liability_recruitment_id;

			ALTER TABLE metrics.records_about_citizen
			DROP CONSTRAINT IF EXISTS fk_criminal_administrative_liability_recruitment_id;

			ALTER TABLE metrics.incidents_files_requests
			DROP CONSTRAINT IF EXISTS fk_incidents_files_requests_recruitment_id;

			ALTER TABLE registration_change_address.info_sent_to_lk_epgu
			DROP CONSTRAINT IF EXISTS fk_conv_info_records_from_easu_recruitment_id;

			ALTER TABLE registration_change_address.compare_citizen_data
			DROP CONSTRAINT IF EXISTS fk_conv_info_records_from_easu_recruitment_id;

			ALTER TABLE registration_change_address.inactive_app_epgu
			DROP CONSTRAINT IF EXISTS fk_conv_info_records_from_easu_recruitment_id;

			ALTER TABLE registration_change_address.incidents_epgu_info
			DROP CONSTRAINT IF EXISTS fk_conv_info_records_from_easu_recruitment_id;

			ALTER TABLE registration_change_address.incidents_info
			DROP CONSTRAINT IF EXISTS fk_conv_info_records_from_easu_recruitment_id;

			ALTER TABLE registration_change_address.applications_received_from_epgu
			DROP CONSTRAINT IF EXISTS fk_conv_info_records_from_easu_recruitment_id;

			ALTER TABLE registration_change_address.change_data_from_gir_vu
			DROP CONSTRAINT IF EXISTS fk_criminal_administrative_liability_recruitment_id;

			ALTER TABLE registration_change_address.summonses_sign
			DROP CONSTRAINT IF EXISTS fk_criminal_administrative_liability_recruitment_id;

			ALTER TABLE registration_change_address.records_about_registrated_citizen
			DROP CONSTRAINT IF EXISTS fk_criminal_administrative_liability_recruitment_id;

			ALTER TABLE registration_change_address.personal_info_stat
			DROP CONSTRAINT IF EXISTS fk_criminal_administrative_liability_recruitment_id;

			ALTER TABLE registration_change_address.change_data_personal_visit
			DROP CONSTRAINT IF EXISTS fk_criminal_administrative_liability_recruitment_id;

			ALTER TABLE registration_change_address.imposition_tmp_measures
			DROP CONSTRAINT IF EXISTS fk_criminal_administrative_liability_recruitment_id;

			ALTER TABLE summonses_list.info_sent_to_lk_epgu
			DROP CONSTRAINT IF EXISTS fk_conv_info_records_from_easu_recruitment_id;

			ALTER TABLE summonses_list.download_for_print
			DROP CONSTRAINT IF EXISTS fk_conv_info_records_from_easu_recruitment_id;

			ALTER TABLE summonses_list.all_summonses
			DROP CONSTRAINT IF EXISTS fk_criminal_administrative_liability_recruitment_id;

			ALTER TABLE summonses_list.formed_summonses
			DROP CONSTRAINT IF EXISTS fk_criminal_administrative_liability_recruitment_id;

			ALTER TABLE summonses_list.recruit_office_visit
			DROP CONSTRAINT IF EXISTS fk_criminal_administrative_liability_recruitment_id;

			ALTER TABLE summonses_list.imposition_tmp_measures
			DROP CONSTRAINT IF EXISTS fk_criminal_administrative_liability_recruitment_id;

			ALTER TABLE summonses_list.remove_tmp_measures
			DROP CONSTRAINT IF EXISTS fk_criminal_administrative_liability_recruitment_id;

			ALTER TABLE summonses_list_subsystem.personal_accounts
			DROP CONSTRAINT IF EXISTS fk_criminal_administrative_liability_recruitment_id;

			ALTER TABLE summonses_list_subsystem.summonses_direct_to_pers_acc
			DROP CONSTRAINT IF EXISTS fk_criminal_administrative_liability_recruitment_id;

			ALTER TABLE summonses_list_subsystem.summonses_list
			DROP CONSTRAINT IF EXISTS fk_criminal_administrative_liability_recruitment_id;

			ALTER TABLE summonses_list_subsystem.requests_direct_to_pers_acc
			DROP CONSTRAINT IF EXISTS fk_criminal_administrative_liability_recruitment_id;

			ALTER TABLE deregistration.decisions_signing
			DROP CONSTRAINT IF EXISTS fk_decisions_signing_recruitment_id;

			ALTER TABLE deregistration.generated_solutions
			DROP CONSTRAINT IF EXISTS fk_generated_solutions_recruitment_id;

			ALTER TABLE deregistration.data_from_gis_ervu
			DROP CONSTRAINT IF EXISTS fk_data_from_gis_ervu_recruitment_id;

			ALTER TABLE deregistration.rejection_decisions
			DROP CONSTRAINT IF EXISTS fk_rejection_decisions_recruitment_id;
		</sql>
	</changeSet>
</databaseChangeLog>